# System-specific bits of makefile, included by each application.

# Optimization or debug flag.  For debug: make OPTS="-g" clean all
OPTS=-O3

# Linker and compiler flags used by various libraries:

# OpenMPI
MPIFLAGS=-I/usr/lib/openmpi/include/ -lmpi -lmpi_cxx

# CUDA (this avoids needing to specify "LD_LIBRARY_PATH" at runtime)
CUDAFLAGS=-Xlinker -R/usr/local/cuda/lib

# cudaMPI (path to header files)
CUDAMPIFLAGS=-I.. $(CUDAFLAGS) $(MPIFLAGS)

# glMPI just needs OpenGL, but the demos also need GLEW and glut.
#   On ubuntu: sudo apt-get install libglew1.5-dev freeglut3-dev
GLMPIFLAGS=-I.. -lGLEW -lglut $(MPIFLAGS)
