/**
  Weird assorted helpful routines for debugging and 
  testing assembly code.
  
  Orion Sky Lawlor, olawlor@acm.org, 2005/09/14 (Public Domain)
*/
#ifndef __OSL_NETRUN_INC_H /* prevent repeated inclusion */
#define __OSL_NETRUN_INC_H

#include <stdlib.h>

#ifdef __cplusplus /* C++ uses special name mangling (not in C or Assembly) */
#  define CDECL extern "C"
#else
#  define CDECL extern /* empty-- already C or Assembly */
#endif

/******* Function Performance Profiling ***********/
extern int timer_only_dont_print;

typedef int (*timeable_fn)(void);

/**
  Return the current time in seconds (since something or other).
*/
CDECL double time_in_seconds(void);

/**
  Return the number of seconds this function takes to run.
  May run the function several times (to average out 
  timer granularity).
*/
CDECL double time_function(timeable_fn fn);

/**
  Time a function's execution, and print this time out.
*/
CDECL void print_time(const char *fnName,timeable_fn fn);


#endif
